/**Begin C:\Users\rd_jin_gu\Documents\work\PDM_UPGRADE\PDM1\HRCS_table.sql **/
 EXEC p_AlterColumn 'T_HRCS_DATAROLECONFIG', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_DATAROLECONFIG', 'FSIMPLENAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_DATAROLECONFIG', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_DATASORTENTRY', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_DATASORTENTRY', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_RETENTIONPERSON', 'FDATASUBJECTTYPE', 'VARCHAR(50)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_ANONYMOUSCONFIG', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_ANONYMOUSCONFIG', 'FSIMPLENAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_ANONYMOUSCONFIG', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_ANONYMOUSCONFIG', 'FPARAMS', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJECT', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJECT', 'FSIMPLENAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJECT', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJECT', 'FPARAMS', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJENTRY', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_DATAROLECONFIG_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_DATAROLECONFIG_L', 'FSIMPLENAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_DATAROLECONFIG_L', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_DATASORTENTRY_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_DATASORTENTRY_L', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_ANONYMOUSCONFIG_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_ANONYMOUSCONFIG_L', 'FSIMPLENAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_ANONYMOUSCONFIG_L', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJECT_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJECT_L', 'FSIMPLENAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJECT_L', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJENTRY_L', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYUSERTYPE', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYUSERTYPE', 'FSIMPLENAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYUSERTYPE', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_PRIVACYUSERTYPE_L') 
 CREATE TABLE T_HRCS_PRIVACYUSERTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);



/**End C:\Users\rd_jin_gu\Documents\work\PDM_UPGRADE\PDM1\HRCS_table.sql **/
